gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Interfaces.ImplementorIface

Contents

- Exported types
- Methods
  - Overloaded methods

Description

The AtkImplementor interface is implemented by objects for which AtkObject peers may be obtained via calls to iface->(ref_accessible)(implementor);

Synopsis

- newtype ImplementorIface = ImplementorIface (ManagedPtr ImplementorIface)
- class (ManagedPtrNewtype o, IsDescendantOf ImplementorIface o) => IsImplementorIface o

# Exported types

newtype ImplementorIface Source #

Memory-managed wrapper type.

Constructors

ImplementorIface (ManagedPtr ImplementorIface) |

#### Instances

Instances details

Eq ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface Methods (==) :: ImplementorIface -> ImplementorIface -> Bool # (/=) :: ImplementorIface -> ImplementorIface -> Bool #
BoxedPtr ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface Methods boxedPtrCopy :: ImplementorIface -> IO ImplementorIface Source # boxedPtrFree :: ImplementorIface -> IO () Source #
ManagedPtrNewtype ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface Methods toManagedPtr :: ImplementorIface -> ManagedPtr ImplementorIface Source #

class (ManagedPtrNewtype o, IsDescendantOf ImplementorIface o) => IsImplementorIface o Source #

Type class for types which implement `ImplementorIface`.

#### Instances

Instances details

(ManagedPtrNewtype o, IsDescendantOf ImplementorIface o) => IsImplementorIface o Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface

# Methods

## Overloaded methods